//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
CONTACT
======================================================================================================================================
*/
.c-pageContact__map {
    position: relative;

    iframe {
        border: none;
    }

    .overlay {
        background: transparent;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 600px;
    }
}

.c-pageContact__content {
    .u-flex-display;
    .u-justify-content(space-between);
    padding-top: @margin__m;

    .c-pageContact__info {
        width: 30%;
    }

    .c-pageContact__form {
        width: 70%;
        .u-flex-shrink(0);
    }

    @media @media_smartphone,
    @media_tablet {
        .u-flex-direction(column);

        .c-pageContact__info,
        .c-pageContact__form {
            width: 100%;
            max-width: 600px;
            margin: 0 auto;
        }
    }
}

.wpcf7 {

    input[type='text'],
    input[type='email'],
    input[type='submit'],
    textarea {
        appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
        border: none;
        border-bottom-left-radius: 6px;
        background-color: @input__background;
        color: white !important;
        height: @input__height;
        margin: 0;
        padding: 0 0 0 15px;
        font-family: @font_base;
        font-size: @input__size;
        .u-placeholderColor(fade(@color__white, 50%));

        &:focus {
            outline: none;
        }

        /* Change Autocomplete styles in Chrome*/
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus,
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus {
            -webkit-text-fill-color: @color__link;
            -webkit-box-shadow: 0 0 0px 1000px @color__primary inset;
            transition: background-color 5000s ease-in-out 0s;
            font-size: @size__r  !important;
        }
    }

    textarea {
        resize: vertical;
        width: 98.5%;
        height: 100px;
        margin-top: 8px;
        padding-top: 10px;
        
        @media @media_smartphone,
        @media_tablet {
            width: 100%;
        }
    }

    .wpcf7-form-control-wrap {
        display: inline-block;
        width: 100%;
        padding: 0;

        &.subject, &.address {
            width: 98.5%;
            margin-top: 8px;

            input {
                width: 100%;
            }

            @media @media_smartphone,
            @media_tablet {
                width: 100%;
            }
        }

        &.company,
        &.costumer-name,
        &.email,
        &.costumer-lastname,
        &.streetname,
        &.streetnumber,
        &.city,
        &.zip, &.country,
        &.work {
            width: calc(50% ~'-' 12px);
            margin-top: 8px;
            margin-right: 6px;
            input {
                width: 100%;
            }

            @media @media_smartphone,
            @media_tablet {
                width: 100%;
                margin-top: 8px;
            }
        }
    }

    .wpcf7-acceptance {
        span {
            margin: 0;
            padding: @margin__s 0;
        }

        input {
            margin-right: 5px;
        }
    }

    .wpcf7-submit {
        .o-button;
        margin-top: @margin__s;
        cursor: pointer;
        background-image: url('./images/icon-arrow-right.svg');
        background-position: center right 10px;
        background-size: auto;
        background-repeat: no-repeat;
        .transition-elastic;

        &:hover {
            color: @color__primary !important;
            background-color: @color__white;
            background-image: url('./images/icon-arrow-right-blu.svg');
        }
    }
}